%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil}

Name:		libesedb
Version:	20170121
Release:	1%{?dist}
Summary:	Library to access the Extensible Storage Engine (ESE) Database File (EDB) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		http://code.google.com/p/libesedb/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
                 
                 

%description
libesedb is a library to access the Extensible Storage Engine (ESE) Database File (EDB) format

%package devel
Summary:	Header files and libraries for developing applications for libesedb
Group:		Development/Libraries
Requires:	libesedb = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libesedb.

%package tools
Summary:	Several tools for reading Extensible Storage Engine (ESE) Database Files (EDB)
Group:		Applications/System
Requires:	libesedb = %{version}-%{release}    
   

%description tools
Several tools for reading Extensible Storage Engine (ESE) Database Files (EDB)

%package python
Summary:	Python bindings for libesedb
Group:		System Environment/Libraries
Requires:	libesedb = %{version}-%{release} %(basename %{__python})
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libesedb

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libesedb
Group: System Environment/Libraries
Requires: libesedb = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libesedb
%endif


%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libesedb.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/esedbexport
%attr(755,root,root) %{_bindir}/esedbinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Jan 21 2017 Lawrence R. Rogers <lrr@cert.org> 20170121-1
* Release 20170121-1
	Version as of 20170121.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160622-2
* Release 20160622-2
	Added support for Fedora 20-24 and CentOS/RHEL 7.

* Wed Jun 22 2016 Lawrence R. Rogers <lrr@cert.org> 20160622-1
* Release 20160622-1
	20160110
	* worked on Python 3 support

	20160107
	* 2016 update

* Sun Dec 13 2015 Lawrence R. Rogers <lrr@cert.org> 20151213-1
* Release 20151213-1
	20151219
	* changes for deployment

	20151213
	* worked on support for newly discovered unknown page flag
	* removed LIBESEDB_FLAG_READ and LIBESEDB_FLAG_WRITE

	20151205
	* worked on Python bindings

	20150905
	* updated dependencies

	20150822
	* worked on setup.py

	20150704
	* code clean up

* Sat May 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-2
* Release 20150409-2
	Libuna GCC-5 patch

* Thu Apr  9 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-1
* Release 20150409-1
	20150409
	* changes for long value look up in dirty databases

	20150405
	* changes for handling tagged data types in version 0x620 revision 0x14 database
	* changes for long value key compare

	20150322
	* worked on Python bindings
	* worked on long value support
	* worked on long value error tolerance
	* worked on NULL value support (JET_coltypNil)

	20150321
	* worked on libfdata btree refactor
	* changes for long value key compare

	20150105
	* 2015 update

	20141224
	* worked on Python 3 support
	* worked on tests

	20141129
	* code clean up

* Mon Nov 10 2014 Lawrence R. Rogers <lrr@cert.org> 20141110-1
* Release 20141110-1
	20141110
	* code clean up

	20141109
	* worked on reading backup catalog
	* additional checks for out of bound page tags value offset and size values
	* worked on libfdata btree refactor

	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141014
	* worked on utility scripts

	20141004
	* update Python-bindings tests
	* additional checks for out of bound page tags value offset and size values

	20141003
	* removed README.macosx
	* changes for project site move

	20140915
	* worked on libfdata btree refactor

* Sun Aug 03 2014 Lawrence R. Rogers <lrr@cert.org> 20140803-1
* Release 20140803-1
	Version 20140803
		* updated dependencies

* Sun Apr  6 2014 Joachim Metz <joachim.metz@gmail.com> 20140406-1
- Auto-generated

